Index: /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/1_namelist_ice_lim2
===================================================================
--- /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/1_namelist_ice_lim2	(revision 3646)
+++ /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/1_namelist_ice_lim2	(revision 3646)
@@ -0,0 +1,138 @@
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! NEMO/LIM2 :  1 - dynamics/advection/thermo          (namicerun)
+!! namelists    2 - ice intialisation                  (namiceini)
+!!              3 - ice dynamic                        (namicedyn)
+!!              5 - ice advection                      (namicetrp)
+!!              6 - thermodynamic                      (namicethd)
+!!              7 - ice salinity                       (namicesal)
+!!              8 - mechanical redistribution of ice   (namiceitdme)
+!!              3 - ice diagnostics                    (namicedia)
+!!              9 - ice outputs                        (namiceout)
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+
+!-----------------------------------------------------------------------
+&namicerun     !   Share parameters for dynamics/advection/thermo
+!-----------------------------------------------------------------------
+   cn_icerst_in  = "restart_ice_in"   !  suffix of ice restart name (input)
+   cn_icerst_out = "restart_ice"      !  suffix of ice restart name (output)
+   ln_limdyn   = .true.    !  ice dynamics (T) or thermodynamics only (F)
+   ln_limdmp   = .false.   !  restoring ice thickness and fraction leads (T) or not (F)
+   acrit       = 1.0e-06   , 1.0e-06   ! minimum fraction for leads in the Northern (Southern) Hemisphere
+   hsndif      =  0.0      !  computation of temperature in snow (=0.0) or not
+   hicdif      =  0.0      !  computation of temperature in ice  (=0.0) or not (=9999.0)
+/
+!-----------------------------------------------------------------------
+&namiceini     !   ice initialisation
+!-----------------------------------------------------------------------
+   ln_limini   = .false.   !  read the ice initial state in the file 'Ice_initialization.nc' (T) or not (F)
+   ttest       =  2.0      !  threshold water temperature for initial sea ice
+   hninn       =  0.5      !  initial snow thickness in the north
+   hginn       =  3.0      !  initial ice  thickness in the north
+   alinn       =  0.05     !  initial leads area     in the north
+   hnins       =  0.1      !  same  three parameter  in the south
+   hgins       =  1.0      !        "                 "     south   
+   alins       =  0.1      !        "                 "     south
+/
+!-----------------------------------------------------------------------
+&namicedyn     !   ice dynamic
+!-----------------------------------------------------------------------
+   epsd        =   1.0e-20 !  tolerance parameter
+   alpha       =   0.5     !  coefficient for semi-implicit coriolis
+   dm          =   0.6e+03 !  diffusion constant for dynamics
+   nbiter      =   1       !  number of sub-time steps for relaxation
+   nbitdr      = 100       !  maximum number of iterations for relaxation
+   om          =   0.5     !  relaxation constant 
+   resl        =   5.0e-05 !  maximum value for the residual of relaxation
+   cw          =   5.0e-03 !  drag coefficient for oceanic stress
+   angvg       =   0.0     !  turning angle for oceanic stress
+   pstar       =   1.0e+04 !  1st bulk-rheology parameter
+   c_rhg       =  20.0     !  2nd bulk-rhelogy parameter
+   etamn       =   0.0e+07 !  minimun value for viscosity
+   creepl      =   2.0e-08 !  creep limit
+   ecc         =   2.0     !  eccentricity of the elliptical yield curve
+   ahi0        = 350.e0    !  horizontal eddy diffusivity coefficient for sea-ice [m2/s]
+   nevp        =   360     !  number of EVP subcycling iterations
+   telast      =   3600    !  timescale for EVP elastic waves
+   alphaevp    =   1.0     !  coefficient for the solution of EVP int. stresses
+/
+!-----------------------------------------------------------------------
+&namicetrp     !   ice transport
+!-----------------------------------------------------------------------
+   bound       =   0.      !  boundary conditions (=0.0 no-slip, =1.0 free-slip)
+/
+!-----------------------------------------------------------------------
+&namicethd     !   ice thermodynamic
+!-----------------------------------------------------------------------
+!  hmelt       : maximum melting at the bottom
+!  hiccrit(1/2): ice thickness for lateral accretion in the Northern (Southern) Hemisphere
+!                caution 1.0, 1.0 best value to be used!!! (gilles G.)
+!  hicmin      : ice thickness corr. to max. energy stored in brine pocket
+!  hiclim      : minimum ice thickness
+!  amax        : maximum lead fraction
+!  swiqst      : energy stored in brine pocket (=1) or not (=0)	
+!  sbeta       : numerical caracteritic of the scheme for diffusion in ice
+!               Cranck-Nicholson (=0.5), implicit (=1), explicit (=0)
+!  parlat      : percentage of energy used for lateral ablation
+!  hakspl      : slope of distr. for Hakkinen-Mellor's lateral melting
+!  hibspl      : slope of distribution for Hibler's lateral melting
+!  exld        : exponent for leads-closure rate
+!  hakdif      : coefficient for diffusions of ice and snow
+!  thth         : threshold thickness for comp. of eq. thermal conductivity
+!  hnzst       : thickness of the surf. layer in temp. computation
+!  parsub      : switch for snow sublimation or not
+!  alphs       : coefficient for snow density when snow ice formation
+! 
+&namicethd
+   hmelt       = -0.15     !  maximum melting at the bottom
+   hiccrit     = 0.3 , 0.3 !  ice thickness for lateral accretion in the Northern (Southern) Hemisphere
+   hicmin      = 0.2       !  ice thickness corr. to max. energy stored in brine pocket
+   hiclim      = 0.05      !  minimum ice thickness
+   amax        = 0.999     !  maximum lead fraction
+   swiqst      = 1.        !  energy stored in brine pocket (=1) or not (=0)	
+   sbeta       = 1.        !  numerical caracteritic of the scheme for diffusion in ice
+                           !        Cranck-Nicholson (=0.5), implicit (=1), explicit (=0)
+   parlat      = 0.0       !  percentage of energy used for lateral ablation
+   hakspl      = 0.5       !  slope of distr. for Hakkinen-Mellor's lateral melting
+   hibspl      = 0.5       !  slope of distribution for Hibler's lateral melting
+   exld        = 2.0       !  exponent for leads-closure rate
+   hakdif      = 1.0       !  coefficient for diffusions of ice and snow
+   thth        = 0.2       !  threshold thickness for comp. of eq. thermal conductivity
+   hnzst       = 0.1       !  thickness of the surf. layer in temp. computation
+   parsub      = 1.0       !  switch for snow sublimation or not
+   alphs       = 1.0       !  coefficient for snow density when snow ice formation
+/
+!-----------------------------------------------------------------------
+&namicedia     !   ice diagnostics
+!-----------------------------------------------------------------------
+   fmtinf      ='1PE13.5 ' !  format of the output values
+   nfrinf      = 4         !  number of variables written in one line
+   ntmoy       = 1         !  instantaneous values of ice evolution or averaging
+   ninfo       = 1         !  frequency of ouputs on file ice_evolu in case of averaging
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&namiceout     !   parameters for outputs
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   noumef      =   19      !  number of fields
+!
+!           !         title of the field           !  name     !   units   !  save  ! multipl. ! additive !
+!           !                                      !           !           ! or not !  factor  !  factor  !
+   field_1  = 'Snow thickness                     ', 'isnowthi', 'm       ',    1   ,  1.0     ,    0.0
+   field_2  = 'Ice thickness                      ', 'iicethic', 'm       ',    1   ,  1.0     ,    0.0
+   field_3  = 'Ice produced                       ', 'iiceprod', 'm/kt    ',    1   ,  1.0     ,    0.0
+   field_4  = 'Ice concentration                  ', 'ileadfra', '%       ',    1   , -1.0     ,    1.0
+   field_5  = 'Ice temperature                    ', 'iicetemp', 'C       ',    1   ,  1.0     , -273.15
+   field_6  = 'Oceanic flux at the ice base       ', 'ioceflxb', 'w/m2    ',    1   ,  1.0     ,    0.0
+   field_7  = 'Ice velocity u                     ', 'iicevelu', 'm/s     ',    1   ,  1.0     ,    0.0
+   field_8  = 'Ice velocity v                     ', 'iicevelv', 'm/s     ',    1   ,  1.0     ,    0.0
+   field_9  = 'Sea surface temperature            ', 'isstempe', 'C       ',    1   ,  1.0     , -273.15
+   field_10 = 'Sea surface salinity               ', 'isssalin', 'PSU     ',    1   ,  1.0     ,    0.0
+   field_11 = 'Total flux at ocean surface        ', 'iocetflx', 'w/m2    ',    1   ,  1.0     ,    0.0
+   field_12 = 'Solar flux at ocean surface        ', 'iocesflx', 'w/m2    ',    1   ,  1.0     ,    0.0
+   field_13 = 'Non-solar flux at ocean surface    ', 'iocwnsfl', 'w/m2    ',    1   ,  1.0     ,    0.0
+   field_14 = 'Salt flux at ocean surface         ', 'iocesafl', 'kg/m2/kt',    1   ,  1.0     ,    0.0
+   field_15 = 'Wind stress u                      ', 'iocestru', 'Pa      ',    1   ,  1.0     ,    0.0
+   field_16 = 'Wind stress v                      ', 'iocestrv', 'Pa      ',    1   ,  1.0     ,    0.0 
+   field_17 = 'Solar flux at ice/ocean surface    ', 'iicesflx', 'w/m2    ',    1   ,  1.0     ,    0.0
+   field_18 = 'Non-solar flux at ice/ocean surface', 'iicenflx', 'w/m2    ',    1   ,  1.0     ,    0.0
+   field_19 = 'Snow precipitation                 ', 'isnowpre', 'kg/day  ',    1   ,  1.0     ,    0.0
+/      
Index: /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/AGRIF_FixedGrids.in
===================================================================
--- /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/AGRIF_FixedGrids.in	(revision 3646)
+++ /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/AGRIF_FixedGrids.in	(revision 3646)
@@ -0,0 +1,3 @@
+1
+125 170 36 63 4 4 2
+0
Index: /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/CO2.nml
===================================================================
--- /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/CO2.nml	(revision 3646)
+++ /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/CO2.nml	(revision 3646)
@@ -0,0 +1,97 @@
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+! MODEL  BFM - Biogeochemical Flux Model
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+!BOP
+!
+! ROUTINE: CO2
+!
+! DESCRIPTION
+!   List of parameters values
+!
+! INTERFACE
+! parameter values for mem_CO2 filled by InitCO2
+!
+!
+! AUTHORS
+!   the BFM team
+!
+! COPYING
+!   
+!   Copyright (C) 2007 P. Ruardij, M. Vichi
+!   (rua@nioz.nl, vichi@bo.ingv.it)
+!
+!   This program is free software; you can redistribute it and/or modify
+!   it under the terms of the GNU General Public License as published by
+!   the Free Software Foundation;
+!   This program is distributed in the hope that it will be useful,
+!   but WITHOUT ANY WARRANTY; without even the implied warranty of
+!   MERCHANTEABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!   GNU General Public License for more details.
+!
+!EOP
+!-------------------------------------------------------------------------!
+!BOC
+
+&CO2_parameters
+! Initial CO2 concentration in the air [ppm]
+   AtmCO20 = 370.0E0
+! Compute the partial pressure of Atmospheric CO2
+   calcAtmpCO2 = .FALSE.
+   pCO2Method = 1  ! 1=MixRatio*slp, 2=Magnus formula 
+!-----------------------------------------------------------------------------------!
+! Read external data for atmospheric CO2 values  
+          ! Read  !   File   ! NetCDF  !  Var    !  RefTime   ! Input      !   Time   !
+          ! Input !   name   ! Logical !  name   !  yyyymmdd  ! Frequency  !  interp  !
+!AtmCO2_N =    2  , 'CMIP5_Historical_GHG_1765_2005.nc' , .TRUE.  , 'CO2'   , '1764-07-01 00:00' ,  'yearly'  ,  .TRUE.  
+!AtmCO2_N =    2  , 'CMIP5_Historical_GHG_1765_2005.dat' , .FALSE.  , 'CO2'   , '1764-07-01 00:00' ,  'yearly'  ,  .TRUE.  
+! Read external data for atmospheric SLP 
+AtmSLP_N  =    0  , 'AtmSLP.nc' , .TRUE.  ,'AtmSLP' , '1764-07-01 00:00'  , 'dummy' ,  .TRUE.  
+AtmTDP_N  =    0  , 'AtmTDP.nc' , .TRUE.  ,'AtmTDP' , '1764-07-01 00:00'  , 'dummy' ,  .TRUE.  
+!-----------------------------------------------------------------------------------!
+
+! Initial pH value
+   phstart = 8.10E0
+
+! Choice of the acidity constants parameterization
+! K1K2==1 Roy et al. (1993); DOE (1994); pH on total scale
+! K1K2==2 Default
+!         Mehrbach et al (1973) refit by Dickson & Millero (1987)
+!         OCMIP STANDARD; pH on Sea Water Scale
+! K1K2==3 Mehrbach et al (1973) refit by Lueker et al. (2000)
+!         pH on total scale
+! K1K2==4 Hansson (1973b) data as refitted by Dickson and 
+!         Millero (1987); pH on Sea Water Scale
+   K1K2 = 2
+
+! Choice of [H+] numerical computation
+! MethodCalcCO2=1 Approximate static solution
+! MethodCalcCO2=2 Default. Standard OCMIP iteration
+! MethodCalcCO2=3 Follows et al., Ocean Modelling 2006
+!
+! Parameters for MethodCalcCO2=2
+! M2XACC    :  accuracy of the iterative scheme for OCMIP (default 1.E-10)
+! M2PHDELT  :  delta of pH for the root search (realized pH+/-DELT)
+!              in the OCMIP scheme (default 0.5)
+! M2MAXIT   :  maximum number of iterations for OCMIP (default 100 )
+!
+   MethodCalcCO2 = 2
+          M2XACC = 1.0E-10
+        M2PHDELT = 0.3
+         M2MAXIT = 100
+!
+! Calcium ion concentration
+!     [from : "Seawater : Its composition, properties and behaviour"
+!      (2nd Edition), Open University Course Team, 1995]
+!     seawater concentration    = 412 mg / l
+!     atomic weight             = 40.078 g / mol
+!     therefore, concentration  = 10.279 mmol / l
+!                               = 10.279 mol / m3
+        Caconc0 = 10.279E0
+! Normalize Calcium ion concentration by sea water salinity
+        Canorm  = .TRUE.
+/
+
+!EOC
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+! MODEL  BFM - Biogeochemical Flux Model 
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Index: /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/LightAdaptation.nml
===================================================================
--- /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/LightAdaptation.nml	(revision 3646)
+++ /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/LightAdaptation.nml	(revision 3646)
@@ -0,0 +1,55 @@
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+! MODEL  BFM - Biogeochemical Flux Model 
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+!BOP
+!
+! !ROUTINE: LightAdaptation
+!
+! DESCRIPTION
+!   List of parameters values
+!   for mem_LightAdaptation filled by InitLightAdaptation
+!
+! AUTHORS
+!   the BFM team
+!
+! COPYING
+!   
+!   Copyright (C) 2006 P. Ruardij, M. Vichi
+!   (rua@nioz.nl, vichi@bo.ingv.it)
+!
+!   This program is free software; you can redistribute it and/or modify
+!   it under the terms of the GNU General Public License as published by
+!   the Free Software Foundation;
+!   This program is distributed in the hope that it will be useful,
+!   but WITHOUT ANY WARRANTY; without even the implied warranty of
+!   MERCHANTEABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!   GNU General Public License for more details.
+!
+!EOP
+!-------------------------------------------------------------------------!
+!BOC
+!
+!
+!  p_isw:  	 Switch between parameterizations
+!  p_chEPLi:  	 Maximum Iopt (W/m2)
+!        :  	    p_clEPLi    =      4.0,    6.0,    5.0,    8.0	# Minimum Iopt (W/m2)
+!  p_clEPLi:  	 Minimum Iopt (W/m2)
+!        :  	    p_ruEPLi    =      0.25,    0.25,   0.5,    0.125	# Maximum daily shift in Iopt (1/d)
+!  p_ruEPLi:  	 Maximum daily shift in Iopt (1/d)
+!  p_addepth:  	 Adaptation depth. Meaningless with high-res models
+
+&LightAdaptation_parameters
+      p_isw = 	1,	1,	1,	1
+  p_addepth = 	50.0,	50.0,	50.0,	50.0
+  p_chEPLi  = 	100.0,	100.0,	100.0,	100.0
+  p_clEPLi  = 	8.0,	10.0,	6.0,	12.0
+  p_ruEPLi  = 	0.2,	0.25,	0.3,	0.15
+/
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+!END namelist
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+
+!EOC
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+! MODEL  BFM - Biogeochemical Flux Model 
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Index: /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/MesoZoo.nml
===================================================================
--- /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/MesoZoo.nml	(revision 3646)
+++ /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/MesoZoo.nml	(revision 3646)
@@ -0,0 +1,86 @@
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+! MODEL  BFM - Biogeochemical Flux Model 
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+!BOP
+!
+! !ROUTINE: MesoZoo
+!
+! DESCRIPTION
+!   List of parameters values
+!   for mem_MesoZoo filled by InitMesoZoo
+!
+! AUTHORS
+!   the BFM team
+!
+! COPYING
+!   Copyright (C) 2006 P. Ruardij, M. Vichi
+!   (rua@nioz.nl, vichi@bo.ingv.it)
+!
+!   This program is free software; you can redistribute it and/or modify
+!   it under the terms of the GNU General Public License as published by
+!   the Free Software Foundation;
+!   This program is distributed in the hope that it will be useful,
+!   but WITHOUT ANY WARRANTY; without even the implied warranty of
+!   MERCHANTEABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!   GNU General Public License for more details.
+!
+!EOP
+!-------------------------------------------------------------------------!
+!BOC
+!
+!
+!        :
+!        :  	 The variable Z3 represents carnivorous mesozooplankton and Z4 represents
+!        :  	 omnivorous mesozooplankton.
+!        :
+!  p_q10:  	 Doubling temperature
+!  p_srs:  	 Respiration rate at 10 degrees C
+!  p_sum:  	 Maximal productivity at 10 degrees C
+!  p_sd:  	 Background natural mortality
+!  p_vum:  	 Specific search volume
+!  p_puI_u:  	 Assimilation efficiency
+!  p_peI_R6:  	 Faeces production
+!  p_sdo:  	 Fractional density-dependent mortality
+!  p_sds:  	 Exponent of density-dependent mortality
+!  p_qpc:  	 Quotum phosphate
+!  p_qnc:  	 Quotum nitrate
+
+&MesoZoo_parameters
+!		Z3	Z4
+       p_q10 =	2.0,	2.0
+       p_srs =	0.01,	0.02
+        p_sd = 	0.01,	0.01
+       p_sum = 	1.6,	2.0
+       p_vum = 	0.016,	0.008
+     p_puI_u = 	0.8,	0.6
+    p_peI_R6 = 	0.2,	0.4
+       p_sdo = 	4.d-4,	4.d-4
+       p_sds = 	2.0,	2.0
+       p_qpc = 	1.67d-3,1.67d-3
+       p_qnc = 	0.015,	0.015
+     p_clO2o = 	30.0,	30.0
+!		P1	P2	P3	P4
+!	Z3
+ p_puPI(1,:) =	0.0,	0.0,	0.0,	0.0
+!	Z4
+ p_puPI(2,:) =	1.0,	0.25,	0.0,	0.0
+!		Z5	Z6
+!	Z3
+p_puMIZ(1,:) =	0.0,	0.0
+!	Z4
+p_puMIZ(2,:)=	1.0,	0.0,
+!		Z3	Z4
+!	Z3
+p_puMEZ(1,:)=	1.0,	1.0
+!	Z4
+p_puMEZ(2,:)=	0.0,	1.0
+
+/
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+!END namelist
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+
+!EOC
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+! MODEL  BFM - Biogeochemical Flux Model 
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Index: /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/MicroZoo.nml
===================================================================
--- /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/MicroZoo.nml	(revision 3646)
+++ /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/MicroZoo.nml	(revision 3646)
@@ -0,0 +1,93 @@
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+! MODEL  BFM - Biogeochemical Flux Model 
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+!BOP
+!
+! !ROUTINE: MicroZoo
+!
+! DESCRIPTION
+!   List of parameters values
+!   for mem_MicroZoo filled by InitMicroZoo
+!
+! AUTHORS
+!   the BFM team
+!
+! COPYING
+!   
+!   Copyright (C) 2006 P. Ruardij, M. Vichi
+!   (rua@nioz.nl, vichi@bo.ingv.it)
+!
+!   This program is free software; you can redistribute it and/or modify
+!   it under the terms of the GNU General Public License as published by
+!   the Free Software Foundation;
+!   This program is distributed in the hope that it will be useful,
+!   but WITHOUT ANY WARRANTY; without even the implied warranty of
+!   MERCHANTEABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!   GNU General Public License for more details.
+!
+!EOP
+!-------------------------------------------------------------------------!
+!BOC
+!
+!
+!        :
+!        :  	 The variable Z5 represents microozooplankton and Z6 represents
+!        :  	 heterotrophic nanoflagellates (HNAN)
+!        :
+!  p_q10:  	 Q10 value
+!  p_srs:  	 Respiration rate at 10 degrees Celsius
+!  p_sum:  	 Max. rel daily uptake as a fraction of biomass
+!  p_sdo:  	 Mortality due to oxygen limitation
+!  p_sd:  	 Temperature independent mortality
+!  p_pu_ra:  	 Activity respiration
+!  p_pu_ea:  	 Activity excretion
+!  p_chro:  	 Oxygen saturation where respiration is 0.5
+!  p_chuc:  	 Food concentration where total uptake rate is 0.5
+!  p_minfood:  	 Concentration below which feeding on a particular
+!        :  	 foodsource is depressed
+!  p_qn_mz:  	 Maximum quotum P
+!  p_qp_mz:  	 Maximum quotum N
+!  p_suPI(P1):  	 /day   #relative P1 uptake by zoo
+!  p_suPI(P2):  	 /day   #relative P2 uptake by zoo
+!  p_suPI(P3):  	 /day   #relative P3 uptake by zoo
+!  p_suPI(P4):  	 /day   #relative P4 uptake by zoo
+!  p_suZI(Z5):  	 /day   #relative Z5 uptake by zoo
+!  p_suZI(Z6):  	 /day   #relative Z6 uptake by zoo
+!  p_suB1:  	 /day   #relative B1 uptake by zoo
+
+!       	Z5	Z6
+&MicroZoo_parameters
+       p_q10 = 	2.0,	2.0
+       p_srs = 	0.02,	0.02
+       p_sum = 	2.0,	10.0
+       p_sdo = 	0.05,	0.05
+        p_sd = 	0.0,	0.0
+     p_pu_ra = 	0.25,	0.35
+     p_pu_ea = 	0.25,	0.35
+      p_chro = 	7.8,	7.8
+      p_chuc = 	30.0,	100.0
+   p_minfood = 	10.0,	50.0
+     p_qp_mz = 	1.85d-3,1.85d-3
+     p_qn_mz = 	1.67d-2,1.67d-2
+! Food matrix parameters: take care of the notation
+!		P1	P2	P3	P4
+!	Z5
+ p_suPI(1,:) =	0.0,	1.0,	0.1,	0.0
+!	Z6
+ p_suPI(2,:) =	0.0,	0.2,	1.0,	0.0
+!		Z5	Z6
+!	Z5
+ p_suZI(1,:) = 	1.0,	1.0
+!	Z6
+ p_suZI(2,:) = 	0.0,	0.2
+!		Z5	Z6
+      p_suB1 = 	0.1,	1.0
+/
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+!END namelist
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+
+!EOC
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+! MODEL  BFM - Biogeochemical Flux Model 
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Index: /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/Param.nml
===================================================================
--- /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/Param.nml	(revision 3646)
+++ /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/Param.nml	(revision 3646)
@@ -0,0 +1,128 @@
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+! MODEL  BFM - Biogeochemical Flux Model 
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+!BOP
+!
+! !ROUTINE: Param
+!
+! DESCRIPTION
+!   List of parameters values
+!   for mem_Param filled by InitParam
+!
+! AUTHORS
+!   the BFM team
+!
+! COPYING
+!   
+!   Copyright (C) 2006 P. Ruardij, M. Vichi
+!   (rua@nioz.nl, vichi@bo.ingv.it)
+!
+!   This program is free software; you can redistribute it and/or modify
+!   it under the terms of the GNU General Public License as published by
+!   the Free Software Foundation;
+!   This program is distributed in the hope that it will be useful,
+!   but WITHOUT ANY WARRANTY; without even the implied warranty of
+!   MERCHANTEABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!   GNU General Public License for more details.
+!
+!EOP
+!-------------------------------------------------------------------------!
+!BOC
+!
+&Param_parameters
+                    p_small = 1.0e-20
+                  p_q10diff = 1.49
+                      p_qro = 0.5
+               p_qon_dentri = 1.25
+                p_qon_nitri = 2.0
+                    p_clDxm = 0.001
+       CalcConservationFlag = .FALSE.
+          CalcTransportFlag = .TRUE.
+            CalcPelagicFlag = .TRUE.
+            CalcBenthicFlag = 0
+                    p_poro0 = 0.7 
+       CalcPhytoPlankton(1) = .TRUE.
+       CalcPhytoPlankton(2) = .TRUE.
+       CalcPhytoPlankton(3) = .TRUE.
+       CalcPhytoPlankton(4) = .FALSE.
+               CalcBacteria = .TRUE.
+     CalcMesoZooPlankton(1) = .TRUE.
+     CalcMesoZooPlankton(2) = .TRUE.
+    CalcMicroZooPlankton(1) = .TRUE.
+    CalcMicroZooPlankton(2) = .TRUE.
+           CalcPelChemistry = .TRUE.
+AssignPelBenFluxesInBFMFlag = .TRUE.
+AssignAirPelFluxesInBFMFlag = .TRUE.
+                      p_PAR = 0.40
+                       slp0 = 1013.25E0
+               ChlLightFlag = 2
+           ChlSynthesisFlag = 1
+        ProductionLightFlag = 1
+          LightLocationFlag = 3
+                     p_eps0 = 0.0435
+                   p_epsESS = 0.04d-3
+                 p_InitSink = 100.0
+                    p_d_tot = 0.30
+                  p_d_tot_2 = 0.35
+                  p_clD1D2m = 0.01
+                   p_pe_R1c = 0.60
+                   p_pe_R1n = 0.72
+                   p_pe_R1p = 0.832
+                   p_pe_R1s = 0.06
+                  p_epsChla = 3.0d-2
+                    p_epsR6 = 0.1d-3
+          check_fixed_quota = 0
+!				P1	P2	P3	P4
+                    p_qchlc = 	0.025,	0.015,	0.02,	0.02
+/
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+!END namelist
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+!  p_q10diff:  	 Temperature-dependency porewater diffusion
+!  p_qro:  	 stoichiometry O2-->S2-
+!  p_qon_dentri:  	 stoichiometry O2-->N denitrification
+!  p_qon_nitri:  	 stoichiometry O2-->N nitrification
+!  p_clDxm:  	 minimal value of D?.m for calculation of the alpha
+!        :  	 alpha is used in expo.func and values > 1/0.001 leadt
+!  CalcPelagicFlag:  	 Switch for pelagic system
+!  CalcBenthicFlag:  	 Switch for benthic system
+!  CalcTransportFlag:    Switch for transport
+!  CalcConservationFlag:    Switch for mass conservation check
+!  CalcPhytoPlankton:  	 Switches to turn on/off the calculation of pelagic groups
+!  CalcBacteria:
+!  CalcMesoZooPlankton:
+!  CalcMicroZooPlankton:
+!  CalcPelChemistry:
+!  CalcBenOrganisms:  	 Switches to turn on/off the calculation of benthic organisms
+!  CalcBenBacteria:
+!  AssignPelBenFluxesInBFMFlag:  	 Switches to make choice to define boundary
+!  AssignAirPelFluxesInBFMFlag:  	 fluxes in physical of biological model
+!        :  	     dim2D%
+!  p_PAR:  	 Photosynthetically available radiation
+!  ChlLightFlag:  	 Switch between light prop.(=1) or Chla.(=2) as a state
+!  ChlSynthesisFlag:  	 Switch between types of chl synthesis
+!                        1. PELAGOS; 2. OPATM-BFM; 3. UNIBO
+!  ProductionLightFlag:  Switch between instantaneous light production (=1) 
+!                        and daylength averaged production (=2)
+!  LightLocationFlag:    Switch between different depth-parameterizations
+!  p_qchlc(PhytoPlankton):  Fixed/Maximum quotum Chla:C dependent on 
+!                           ChlLightFlag [mg Chla (mg C)-1]
+!                           p_qchlc%   0.05, 0.03,  0.07,  0.02
+!  p_eps0:  	 Background extinction (abiotic)
+!  p_epsESS:  	 Inorg. suspended matter extinction coeff. (abiotic)
+!  p_InitSink:   parameter to Initialize BenthicSInk var.
+!  p_d_tot:  	 m # Max Thickness of the denitrification layer
+!  p_d_tot_2:  	 m # Thickness of modelled benthic sediment layers
+!  p_clD1D2m:  	 m # minimum distancebetween D1m and D2m
+!  p_pe_R1c:  	 Fraction of excretion going to PLOC
+!  p_pe_R1n:  	 Fraction of excretion going to PLOC
+!  p_pe_R1p:  	 Fraction of excretion going to PLOC
+!  p_epsChla:  	 Chla-contribution to extinction
+!  p_epsR6:  	 (m2/mgC) # Detritus-contribution to extinction
+!  check_fixed_quota       Check whether zooplankton have fixed quota
+!  p_poro0:      Constant porosity for 0D and 1D runs
+
+!EOC
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+! MODEL  BFM - Biogeochemical Flux Model 
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
